Debian Bug report logs - #598284
bareftp: CVE-2010-3350: insecure library loading

version graph

Package: bareftp; Maintainer for bareftp is Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>; Source for bareftp is src:bareftp.

Reported by: Raphael Geissert <geissert@debian.org>

Date: Tue, 28 Sep 2010 04:24:08 UTC

Severity: grave

Tags: patch, security

Found in version bareftp/0.3.4-1

Fixed in version bareftp/0.3.4-1.1

Done: gustavo panizzo <gfa@zumbi.com.ar>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#598284; Package bareftp. (Tue, 28 Sep 2010 04:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
New Bug report received and forwarded. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Tue, 28 Sep 2010 04:24:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: bareftp: CVE-2010-3350: insecure library loading
Date: Tue, 28 Sep 2010 04:21:18 +0000
Package: bareftp
Version: 0.3.4-1
Severity: grave
Tags: security
User: team@security.debian.org
Usertags: ldpath

Hello,

During a review of the Debian archive, I've found your package to
contain a script that can be abused by an attacker to execute arbitrary
code.

The vulnerability is introduced by an insecure change to
LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for
libraries on a directory other than the standard paths.

Vulnerable code follows:

/usr/bin/bareftp line 2:
export LD_LIBRARY_PATH=/usr/lib/bareftp:$LD_LIBRARY_PATH

When there's an empty item on the colon-separated list of
LD_LIBRARY_PATH, ld.so treats it as '.' (i.e. CWD/$PWD.)
If the given script is executed from a directory where a potential,
local, attacker can write files to, there's a chance to exploit this
bug.

This vulnerability has been assigned the CVE id CVE-2010-3350. Please make sure
you mention it when forwarding this report to upstream and when fixing
this bug (everywhere: upstream and here at Debian.)

[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3350
[1] http://security-tracker.debian.org/tracker/CVE-2010-3350

Sincerely,
Raphael Geissert




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#598284; Package bareftp. (Wed, 06 Oct 2010 13:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>:
Extra info received and forwarded to list. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Wed, 06 Oct 2010 13:15:08 GMT) Full text and rfc822 format available.

Message #10 received at 598284@bugs.debian.org (full text, mbox):

From: "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>
To: 598284@bugs.debian.org
Subject: bareftp: diff for NMU version 0.3.4-1.1
Date: Wed, 6 Oct 2010 10:08:22 -0300
[Message part 1 (text/plain, inline)]
tags 598284 + patch
tags 598284 + pending
thanks

Dear maintainer,

I've prepared an NMU for bareftp (versioned as 0.3.4-1.1)

Regards.

-- 
1AE0 322E B8F7 4717 BDEA  BF1D 44BB 1BA7 9F6C 6333

[bareftp-0.3.4-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from "gustavo panizzo <gfa>" <gfa@zumbi.com.ar> to control@bugs.debian.org. (Wed, 06 Oct 2010 13:15:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from "gustavo panizzo <gfa>" <gfa@zumbi.com.ar> to control@bugs.debian.org. (Wed, 06 Oct 2010 13:15:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#598284; Package bareftp. (Wed, 06 Oct 2010 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>:
Extra info received and forwarded to list. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Wed, 06 Oct 2010 13:39:03 GMT) Full text and rfc822 format available.

Message #19 received at 598284@bugs.debian.org (full text, mbox):

From: "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>
To: 598284@bugs.debian.org
Subject: Re: bareftp: diff for NMU version 0.3.4-1.1
Date: Wed, 6 Oct 2010 10:34:20 -0300
[Message part 1 (text/plain, inline)]
i forgot to add

this (trivial) patch fix a security issue,  CVE-2010-3350 

i will upload the dsc, deb files to mentors soon

On Wed, Oct 06, 2010 at 10:08:22AM -0300, gustavo panizzo <gfa> wrote:
> tags 598284 + patch
> tags 598284 + pending
> thanks
> 
> Dear maintainer,
> 
> I've prepared an NMU for bareftp (versioned as 0.3.4-1.1)
> 
> Regards.
> 
> -- 
> 1AE0 322E B8F7 4717 BDEA  BF1D 44BB 1BA7 9F6C 6333
> 

> diff -u bareftp-0.3.4/debian/changelog bareftp-0.3.4/debian/changelog
> --- bareftp-0.3.4/debian/changelog
> +++ bareftp-0.3.4/debian/changelog
> @@ -1,3 +1,10 @@
> +bareftp (0.3.4-1.1) unstable; urgency=low
> +
> +  * Non-maintainer upload.
> +  * Fix security issue CVE-2010-3350 (Closes: #598284)
> +
> + -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 05 Oct 2010 23:37:54 -0300
> +
>  bareftp (0.3.4-1) unstable; urgency=low
>  
>    * New upstream bugfix release 0.3.4
> only in patch2:
> unchanged:
> --- bareftp-0.3.4.orig/bareftp.in
> +++ bareftp-0.3.4/bareftp.in
> @@ -1,3 +1,8 @@
>  #!/bin/sh
> -export LD_LIBRARY_PATH=@expanded_libdir@/bareftp:$LD_LIBRARY_PATH
> +if [ -z ${LD_LIBRARY_PATH} ]; then
> +        export LD_LIBRARY_PATH=@expanded_libdir@/bareftp
> +    else
> +        export LD_LIBRARY_PATH=@expanded_libdir@/bareftp:${LD_LIBRARY_PATH}
> +fi
> +
>  exec @MONO@ @expanded_libdir@/bareftp/bareftp.exe $MONO_EXTRA_ARGS "$@"




-- 
1AE0 322E B8F7 4717 BDEA  BF1D 44BB 1BA7 9F6C 6333

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#598284; Package bareftp. (Wed, 06 Oct 2010 14:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>:
Extra info received and forwarded to list. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Wed, 06 Oct 2010 14:15:04 GMT) Full text and rfc822 format available.

Message #24 received at 598284@bugs.debian.org (full text, mbox):

From: "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>
To: 598284@bugs.debian.org
Subject: Re: Bug#598284: Info received (bareftp: diff for NMU version 0.3.4-1.1)
Date: Wed, 6 Oct 2010 11:11:21 -0300
[Message part 1 (text/plain, inline)]
the updated package could be found at
http://mentors.debian.net/debian/pool/main/b/bareftp/bareftp_0.3.4-1.1.dsc

-- 
1AE0 322E B8F7 4717 BDEA  BF1D 44BB 1BA7 9F6C 6333

[signature.asc (application/pgp-signature, inline)]

Reply sent to gustavo panizzo <gfa@zumbi.com.ar>:
You have taken responsibility. (Thu, 07 Oct 2010 08:51:17 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Thu, 07 Oct 2010 08:51:17 GMT) Full text and rfc822 format available.

Message #29 received at 598284-close@bugs.debian.org (full text, mbox):

From: gustavo panizzo <gfa@zumbi.com.ar>
To: 598284-close@bugs.debian.org
Subject: Bug#598284: fixed in bareftp 0.3.4-1.1
Date: Thu, 07 Oct 2010 08:47:07 +0000
Source: bareftp
Source-Version: 0.3.4-1.1

We believe that the bug you reported is fixed in the latest version of
bareftp, which is due to be installed in the Debian FTP archive:

bareftp_0.3.4-1.1.diff.gz
  to main/b/bareftp/bareftp_0.3.4-1.1.diff.gz
bareftp_0.3.4-1.1.dsc
  to main/b/bareftp/bareftp_0.3.4-1.1.dsc
bareftp_0.3.4-1.1_i386.deb
  to main/b/bareftp/bareftp_0.3.4-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598284@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gustavo panizzo <gfa@zumbi.com.ar> (supplier of updated bareftp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 05 Oct 2010 23:37:54 -0300
Source: bareftp
Binary: bareftp
Architecture: source i386
Version: 0.3.4-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Changed-By: gustavo panizzo <gfa@zumbi.com.ar>
Description: 
 bareftp    - FTP client for GNOME
Closes: 598284
Changes: 
 bareftp (0.3.4-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix security issue CVE-2010-3350 (Closes: #598284)
Checksums-Sha1: 
 63a1769c709276edda1ed5d78f232ac1aacff0f8 1479 bareftp_0.3.4-1.1.dsc
 6c4da1330bedfc64f72f5736e9ba14547023dc1e 4604 bareftp_0.3.4-1.1.diff.gz
 517a9158ef540626a6e5c90dcee45f14cd17d0c8 194202 bareftp_0.3.4-1.1_i386.deb
Checksums-Sha256: 
 5d99b8d3026d1a3e3551c8e5fff0b25c0e700f19a7ebf852b5b6686f704164db 1479 bareftp_0.3.4-1.1.dsc
 db8c4f1d8b658db3a725b5037eeb7745f96f8ec2ac5d3863b6e9d7194274f665 4604 bareftp_0.3.4-1.1.diff.gz
 ded0673349be190461527ab7ce12ac8bef505e14ffc0282e2bc91a488b04d7c3 194202 bareftp_0.3.4-1.1_i386.deb
Files: 
 9943348d53bee8d1888d55d29f6c1122 1479 gnome optional bareftp_0.3.4-1.1.dsc
 71816630c3d3d590927345e5dc12e6cd 4604 gnome optional bareftp_0.3.4-1.1.diff.gz
 67ab77524f439e2b67177f6137c7d25b 194202 gnome optional bareftp_0.3.4-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkythdIACgkQNxpp46476apBrQCfXNFHT+hNnOK82LvCrBZgqGWk
XMcAn1B0gEtW9N47Idwf1WZquePrd2pj
=VHS+
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#598284; Package bareftp. (Thu, 07 Oct 2010 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Thu, 07 Oct 2010 10:48:03 GMT) Full text and rfc822 format available.

Message #34 received at 598284@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>, 598284@bugs.debian.org
Subject: Re: [pkg-cli-apps-team] Bug#598284: bareftp: diff for NMU version 0.3.4-1.1
Date: Thu, 7 Oct 2010 11:45:09 +0100
[Message part 1 (text/plain, inline)]
Hiya,

On Wed, Oct 06, 2010 at 10:08:22AM -0300, gustavo panizzo <gfa> wrote:
>tags 598284 + patch
>tags 598284 + pending
>thanks
>
>Dear maintainer,
>
>I've prepared an NMU for bareftp (versioned as 0.3.4-1.1)

Thanks for the NMU.

We were wondering if you have any specific interest in this package?
You are more than welcome to join the CLI Application Packaging Team
and help to maintain this (or any others). #debian-cli on OFTC is our
hang out.

Also, there are a number of other LD_LIBRARY_PATH bugs similar to this
one in our other packages if you are interested in fixing these
too. If you are, please again come to IRC for sponsoring and
guidance. :)

Cheers,
Iain
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Nov 2010 07:35:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:53:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.